package com.icomsys.main_vm.biz.rcp.conversation.vo.synonym;

import lombok.*;

@Getter
@Setter
@NoArgsConstructor
public class SelectSynonymListVo {

    private Long seq;
    private String idivWord;
    private String repWord;
    private String synonymSeqs;
    private String synonymWords;

    @Builder
    public SelectSynonymListVo(Long seq, String idivWord, String repWord, String synonymSeqs, String synonymWords) {
        this.seq = seq;
        this.idivWord = idivWord;
        this.repWord = repWord;
        this.synonymSeqs = synonymSeqs;
        this.synonymWords = synonymWords;
    }

    public SelectSynonymListVo toSelect(String synonymWords, String synonymSeqs) {
        return SelectSynonymListVo.builder()
                .seq(this.seq)
                .idivWord(this.idivWord)
                .repWord(this.repWord)
                .synonymWords(synonymWords)
                .synonymSeqs(synonymSeqs)
                .build();
    }

    public SelectSynonymList2Vo toExcel(String synonymWords) {
        return SelectSynonymList2Vo.builder()
                .idivWord(this.idivWord)
                .repWord(this.repWord)
                .synonymWords(synonymWords)
                .build();
    }


}
